All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class BusinessQueryFilterItemToSimpleLogicListAdapter

    com.sas.dataselectors.filters.BusinessQueryFilterItemToSimpleLogicListAdapter

All Implemented Interfaces:
  FilterLogicListInterface, SimpleLogicListAdapterInterface, SimpleLogicListInterface, java.lang.Iterable, java.util.Collection, java.util.List

Direct Known Subclasses:
  BusinessQueryFilterItemToAdvancedLogicListAdapter

    public class BusinessQueryFilterItemToSimpleLogicListAdapter

This adapter extends the abstract adapter base to provide BusinessQuery specific support.

Field Summary
`protected com.sas.iquery.metadata.business.BusinessQuery` | `_businessQuery` The BusinessQuery model for the adapter.
`protected FilterObjectFactoryInterface` | `_filterObjectFactory` The factory to use when converting between the native model and the filter model.

Fields inherited from class com.sas.dataselectors.filters.AbstractSimpleLogicListAdapterBase
`_filterItemList, _filterItemSimpleList`

Constructor Summary
`BusinessQueryFilterItemToSimpleLogicListAdapter()` Constructs a new adapter with the default properties.
`BusinessQueryFilterItemToSimpleLogicListAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery, FilterBaseModelData baseModel)` Constructs a new adapter from the given model and the default factory.
`BusinessQueryFilterItemToSimpleLogicListAdapter(FilterObjectFactoryInterface filterObjectFactory, com.sas.iquery.metadata.business.BusinessQuery businessQuery)` Constructs a new adapter from the given model and factory.

Method Summary
`boolean` | `commitChanges()` Commits any changes in the filter model to the underlying native model.
`com.sas.iquery.metadata.business.BusinessQuery` | `getBusinessQuery()` Returns the BusinessQuery model used by the adapter.
`FilterObjectFactoryInterface` | `getFilterObjectFactory()` Returns the filter object factory used by the adapter when converting between the filter model and the native model.
`void` | `setBusinessQuery(com.sas.iquery.metadata.business.BusinessQuery businessQuery)` Sets the BusinessQuery model for the adapter.
`void` | `setFilterObjectFactory(FilterObjectFactoryInterface filterObjectFactory)` Sets the filter object factory for the adapter.

Methods inherited from class com.sas.dataselectors.filters.AbstractSimpleLogicListAdapterBase
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, getFilterItemList, getFilterList, getFilterLogicList, getRootFilterObject, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, setFilterItemList, setFilterList, setFilterList, size, subList, toArray, toArray`

Methods inherited from class com.sas.dataselectors.filters.DefaultFilterLogicList
`getFilterListDescription, getFilterListLabel, setFilterListDescription, setFilterListLabel, toString`

Field Detail

### _businessQuery

    protected com.sas.iquery.metadata.business.BusinessQuery _businessQuery

  The BusinessQuery model for the adapter.

### _filterObjectFactory

    protected FilterObjectFactoryInterface _filterObjectFactory

  The factory to use when converting between the native model and the filter model.

Constructor Detail

### BusinessQueryFilterItemToSimpleLogicListAdapter

    public BusinessQueryFilterItemToSimpleLogicListAdapter(com.sas.iquery.metadata.business.BusinessQuery businessQuery,
                                                           FilterBaseModelData baseModel)

  Constructs a new adapter from the given model and the default factory.

  Parameters:
    `businessQuery` - the model for the adapter

### BusinessQueryFilterItemToSimpleLogicListAdapter

    public BusinessQueryFilterItemToSimpleLogicListAdapter(FilterObjectFactoryInterface filterObjectFactory,
                                                           com.sas.iquery.metadata.business.BusinessQuery businessQuery)

  Constructs a new adapter from the given model and factory.

  Parameters:
    `filterObjectFactory` - the factory to use during conversions
    `businessQuery` - the model for the adapter

### BusinessQueryFilterItemToSimpleLogicListAdapter

    public BusinessQueryFilterItemToSimpleLogicListAdapter()

  Constructs a new adapter with the default properties.

Method Detail

### commitChanges

    public boolean commitChanges()

  Commits any changes in the filter model to the underlying native model.

  Specified by:
    `commitChanges` in interface `SimpleLogicListInterface`
  Specified by:
    `commitChanges` in class `AbstractSimpleLogicListAdapterBase`
  Returns:
    true if the native model was successfully updated

### getBusinessQuery

    public com.sas.iquery.metadata.business.BusinessQuery getBusinessQuery()

  Returns the BusinessQuery model used by the adapter.

  Returns:
    the model

### getFilterObjectFactory

    public FilterObjectFactoryInterface getFilterObjectFactory()

  Returns the filter object factory used by the adapter when converting between the filter model and the native model.

  Returns:
    the filter object factory

### setBusinessQuery

    public void setBusinessQuery(com.sas.iquery.metadata.business.BusinessQuery businessQuery)

  Sets the BusinessQuery model for the adapter.

  Parameters:
    `businessQuery` - The new model

### setFilterObjectFactory

    public void setFilterObjectFactory(FilterObjectFactoryInterface filterObjectFactory)

  Sets the filter object factory for the adapter.

  Parameters:
    `filterObjectFactory` - The new factory

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.